<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:annotation>
		<xs:documentation>
			Схема для XML документа, описывающего сущность внутренней описи. Данный объект генерируется и подписывается на стороне внешней системы по отношению к  АИС «Ведомственный архив».
			Далее этот документ и его подпись передаются через веб-сервис в АИС «Ведомственный архив»  через метод SaveInnerInventory в следующих тегах:
			1. Document - Base64 XML документа, описывающий сущность внутренней описи, в соответствии с данной схемой
			2. Signature - MIME Base64 подписи
			3. SignatureTime - время подпписания документа
		</xs:documentation>
	</xs:annotation>
	<xs:element name="InnerInventory" type="innerInventoryDocument"/>
	<xs:complexType name="innerInventoryDocument">
		<xs:sequence>
			<xs:element name="CountDoc" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Количество документов в электронном виде в внутренней описи
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:integer">
						<xs:minInclusive value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="CountFile" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Количество объектов хранения во внутренней описи
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:integer">
						<xs:minInclusive value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="CountVolumeDoc" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Объем объектов хранения электронного дела (в байтах)
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:long">
						<xs:minInclusive value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="ListElectronicDocuments" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Группирующий элемент для тегов с информацией по электронным документам, входящих во внутреннюю  опись.
					</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="ElectronicDocument" type="innerInventoryDocumentElectronicDocument" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="innerInventoryDocumentElectronicDocument">
		<xs:annotation>
			<xs:documentation>Группирующий элемент для тегов с метаданными электронного документа.</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="NumEDinArch" type="xs:integer" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Номер документа в деле.</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="CreateTs" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Дата документа в электронном виде. Формат: YYYY-MM-DD HH:MM:SS</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:length value="19"/>
						<xs:pattern
						value="([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])) (0[0-9]|1[0-9]|2[0123]):([012345][0-9]):([012345][0-9])"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Title" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Заголовок документа в электронном виде
						Содержит не более 1500 символов
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:minLength value="1"/>
						<xs:maxLength value="1500"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="CountFileED" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Количество файлов электронного документа.</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:integer">
						<xs:minInclusive value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="VolumeFileDocument" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Объем электронного документа (в байтах).</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:long">
						<xs:minInclusive value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="PrevEDHashFiles" type="xs:string" minOccurs="0" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Контрольная характеристика предыдущего электронного документа дела.
						Это хэш всех файлов предыдущего документа дела
					</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="PrevEDHash" type="xs:string" minOccurs="0" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Контрольная характеристика предыдущего электронного документа дела.
						Это хэш карточки(методанных) в виде xml. документа дела
					</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="HashED" type="xs:string" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Контрольная характеристика электронного документа. Хэш документа.
						Это хэш всех файлов текущего документа дела
					</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="HashEDMetadata" type="xs:string" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Контрольная характеристика электронного документа. Хэш документа.
						Это хэш карточки(методанных) в виде xml документа дела
					</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="NoteED" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Примечание ЭД
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="2000"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>